# TdApi.VideoNote (tdlight API 3.3.160 API)
declaration: package: it.tdlight.jni, class: TdApi, class: VideoNote

Package it.tdlight.jni

# Class TdApi.VideoNote

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.VideoNote

Enclosing class:
  TdApi

    public static class TdApi.VideoNote
    extends TdApi.Object

Describes a video note. The video must be equal in width and height, cropped to a circle, and stored in MPEG4 format.

## Field Summary

Fields
Modifier and Type | Field | Description
--- | --- | ---
`static int` | `CONSTRUCTOR` |
`int` | `duration` | Duration of the video, in seconds; as defined by the sender.
`int` | `length` | Video width and height; as defined by the sender.
`TdApi.Minithumbnail` | `minithumbnail` | Video minithumbnail; may be null.
`TdApi.Thumbnail` | `thumbnail` | Video thumbnail in JPEG format; as defined by the sender; may be null.
`TdApi.File` | `video` | File containing the video.

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`VideoNote()` | Describes a video note.
`VideoNote​(int duration, int length, TdApi.Minithumbnail minithumbnail, TdApi.Thumbnail thumbnail, TdApi.File video)` | Describes a video note.
`VideoNote​(DataInput input)` |

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`boolean` | `equals​(Object o)` |
`int` | `getConstructor()` |
`int` | `hashCode()` |
`void` | `serialize​(DataOutput output)` |

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### duration

public int duration
Duration of the video, in seconds; as defined by the sender.

### length

public int length
Video width and height; as defined by the sender.

### minithumbnail

public TdApi.Minithumbnail minithumbnail
Video minithumbnail; may be null.

### thumbnail

public TdApi.Thumbnail thumbnail
Video thumbnail in JPEG format; as defined by the sender; may be null.

### video

public TdApi.File video
File containing the video.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  Constant Field Values

## Constructor Details

### VideoNote

public VideoNote()
Describes a video note. The video must be equal in width and height, cropped to a circle, and stored in MPEG4 format.

### VideoNote

public VideoNote​(int duration, int length, TdApi.Minithumbnail minithumbnail, TdApi.Thumbnail thumbnail, TdApi.File video)
Describes a video note. The video must be equal in width and height, cropped to a circle, and stored in MPEG4 format.

Parameters:
  `duration` - int Duration of the video, in seconds; as defined by the sender.
  `length` - int Video width and height; as defined by the sender.
  `minithumbnail` - Minithumbnail Video minithumbnail; may be null.
  `thumbnail` - Thumbnail Video thumbnail in JPEG format; as defined by the sender; may be null.
  `video` - File File containing the video.

### VideoNote

public VideoNote​(DataInput input) throws IOException

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize​(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals​(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`